<mat-form-field>
    <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
</mat-form-field>
    <button mat-raised-button (click)="openDialogins()" id="dialogTambah" *ngIf="currentUser.Kd_Unit_RS!='TRF'">Tambah Data</button>
    <!-- <button mat-raised-button (click)="addFilesDialog()" id="addFilesDialog" *ngIf="currentUser.Kd_Unit_RS!='TRF'">Tambah Data Multiple</button> -->
    
    <div class="mat-elevation-z8">
        <table mat-table [dataSource]="dataSource" matSort>

            <ng-container matColumnDef="name">
                <th mat-header-cell *matHeaderCellDef> Nama Arsip </th>
                <td mat-cell *matCellDef="let row"> {{row.Nama_Arsip}} </td>
            </ng-container>

            <ng-container matColumnDef="jns">
                <th mat-header-cell *matHeaderCellDef> Jenis Arsip </th>
                <td mat-cell *matCellDef="let row"> {{row.Jns_arsip}} </td>
            </ng-container>

            <ng-container matColumnDef="tgl">
                <th mat-header-cell *matHeaderCellDef> Tanggal RM </th>
                <td mat-cell *matCellDef="let row"> {{row.Tgl_RM}} </td>
            </ng-container>

            <ng-container matColumnDef="Lihat">
                <th mat-header-cell *matHeaderCellDef> Aksi </th>
                <td mat-cell *matCellDef="let row">
                    <a [routerLink]="['/../tampilarsip']" [queryParams]="{Kd_Arsip: row.Kd_Arsip,Nama_Arsip: row.Nama_Arsip}" mat-raised-button color="primary">Lihat</a>
                     <button *ngIf="(currentUser.Kd_Unit_RS=='RM' || currentUser.Kd_Unit_RS=='LAB' || currentUser.Kd_Unit_RS=='CMK') && row.Jns_arsip =='Lab-Serologi' || row.Jns_arsip =='Lab-Swab'" mat-raised-button color="basic" 
                        (click)="sendEmailDialog(row)">Kirim Email Ke Pasien</button>
                    </td>
            </ng-container>

            <!-- <ng-container matColumnDef="hapus">
            <th mat-header-cell *matHeaderCellDef> Hapus </th>
                <td mat-cell *matCellDef="let row"><button mat-raised-button color="warn"
                (click)="onDeleteArsip(row.Kd_Arsip)" > Hapus </button> </td>
            </ng-container> -->

            <ng-container matColumnDef="TambahFile">
                <th mat-header-cell *matHeaderCellDef> Tambah File </th>
                    <td mat-cell *matCellDef="let row" ><button *ngIf="(currentUser.Kd_Unit_RS=='RM'|| currentUser.Kd_Unit_RS=='LAB')" mat-raised-button color="basic"
                        (click)="openDialogAddFile(row.Kd_Arsip)" > Tambah File </button> </td>
            </ng-container>

            <ng-container matColumnDef="hapus">
                <th mat-header-cell *matHeaderCellDef> Hapus </th>
                    <td mat-cell *matCellDef="let row" ><button *ngIf="currentUser.Kd_Unit_RS!='TRF'" mat-raised-button color="warn"
                    (click)="openDialogdlt(row.Kd_Arsip)" > Hapus </button> </td>
            </ng-container>
            
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>

        <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" showFirstLastButtons></mat-paginator>
    </div>